\documentclass[print,publication]{paper}

\title{Cylindrical Algebraic Decomposition \\ for Nonlinear Arithmetic Problems}
\author{Gereon Kremer}

\actualpostgrade{Master of Science}
\birthplace{Bergisch Gladbach}
\dateoforalexamination{12.\,März 2020}
\expertI{Universitätsprofessorin Dr.\ Erika \'Abrah\'am}
\expertII{Universitätsprofessor Dr.\ James H. Davenport}
\expertIII{Privatdozent Dr.\ Viktor Levandovskyy}
\grade{eines Doktors der Naturwissenschaften}

\hypersetup{
	pdftitle={Cylindrical Algebraic Decomposition for Nonlinear Arithmetic Problems},
	pdfauthor={\theauthor},
}

\begin{document}

\frontmatter
\hypersetup{pageanchor=false}

\PrintAIBTitle

\maketitle
\clearforchapter
\hypersetup{pageanchor=true}

\input{content/00a-abstract}
\clearforchapter
\input{content/00b-declaration}
\clearforchapter
\input{content/00c-acknowledgements}
\clearforchapter

\tableofcontents*{}
\clearforchapter

\mainmatter

\part{Introduction}
\input{content/01-introduction}
\newpage
\input{content/01a-contributions}

\input{content/02-preliminaries}
\input{content/02a-fundamentals}
\input{content/02b-polynomials}
\input{content/02c-first-order-logic}
\input{content/02d-proof-systems}
\input{content/02e-ran}
\input{content/02f-benchmarks}

\input{content/03-cdcl}
\input{content/04-smt}

\part{Cylindrical Algebraic Decomposition for SMT solving}
\input{content/05-cad-basics}
\input{content/05a-projection-operators}
\input{content/05b-lifting}

\input{content/06-cad-smt}
\input{content/06a-cad-perception}
\input{content/06b-cad-proof-system}
\input{content/06c-cad-incrementality}
\input{content/06d-cad-projections}
\input{content/06e-cad-heuristics}
\input{content/06f-cad-equational}
\input{content/06g-cad-infeasible-subsets}
\input{content/06h-cad-integer}
\input{content/06i-cad-qe}
\input{content/06j-cad-optimization}

\part{Model-Constructing Satisfiability Calculus}
\input{content/07-mcsat}
\input{content/07a-mcsat-definition}
\input{content/07b-mcsat-intuition}
\input{content/07c-mcsat-theory-assignments}
\input{content/07d-mcsat-explanations}
\input{content/07e-mcsat-mrsat}
\input{content/07f-mcsat-optimization}

\input{content/08-mcsat-implementation}
\input{content/08a-mcsat-minisat}
\input{content/08b-mcsat-assignmentfinder}
\input{content/08c-mcsat-explanations}
\input{content/08d-mcsat-heuristics}
\input{content/08e-mcsat-experiments}

\input{content/09-mcsat-theory}
\input{content/09a-mcsat-proof-complexity}
\input{content/09b-mcsat-equivalency}
\input{content/09c-mcsat-theory-reasoning}

\EndPart
\input{content/10-conclusion}

\sloppy
\printbibliography
\fussy

\printunsrtglossary[type=index, style=bookindex]

\PrintPublicationList
\PrintAIBSummary

\end{document}
